%define upstream_name    Devel-Cover
%define upstream_version 0.99

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Code coverage metrics for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl-devel
%description
This module provides code coverage metrics for Perl. Code coverage metrics
describe how thoroughly tests exercise code. By using Devel::Cover you can find
areas of code not exercised by your tests and find out which tests to create to
increase coverage. Code coverage can be considered as an indirect measure of
quality.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Devel
%{perl_vendorarch}/auto/Devel
%{_bindir}/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.990.0-2.mga3
+ Revision: 365713
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.990.0-1.mga3
+ Revision: 342074
- update to 0.99

* Wed Nov 14 2012 jquelin <jquelin> 0.970.0-1.mga3
+ Revision: 317658
- update to 0.97

* Wed Sep 26 2012 jquelin <jquelin> 0.960.0-1.mga3
+ Revision: 298002
- update to 0.96

* Fri Aug 31 2012 kharec <kharec> 0.930.0-1.mga3
+ Revision: 286063
- update to 0.93

* Mon Jun 18 2012 kharec <kharec> 0.890.0-1.mga3
+ Revision: 261565
- update to 0.89

* Sat Jun 09 2012 jquelin <jquelin> 0.880.0-1.mga3
+ Revision: 258862
- update to 0.88

* Wed May 30 2012 jquelin <jquelin> 0.870.0-1.mga3
+ Revision: 251664
- update to 0.87
- rebuild for perl 5.16

* Fri Jan 06 2012 guillomovitch <guillomovitch> 0.790.0-2.mga2
+ Revision: 192623
- rebuild for latest perl

  + jquelin <jquelin>
    - update to 0.79

* Tue Jun 21 2011 jquelin <jquelin> 0.780.0-1.mga2
+ Revision: 111381
- update to 0.78

* Sat Jun 11 2011 sander85 <sander85> 0.760.0-2.mga2
+ Revision: 104190
- perl 5.14

* Tue Apr 19 2011 jquelin <jquelin> 0.760.0-1.mga1
+ Revision: 88513
- update to 0.76

* Mon Jan 24 2011 jquelin <jquelin> 0.730.0-1.mga1
+ Revision: 36225
- mageia rebuild
- cleaning spec file
- imported package perl-Devel-Cover

